export interface IComponent {
    type: string;
    id: string;
    label: string;
    placeHolder: string;
    maxLength?: number;
    mandatory?: boolean;
    value?: any;
    group?: IComponent[];
    initialCount?: number;
    groupPrototype?: IComponent[];
    options?: ICompValue[];
    min?: number;
    max?: number;
}
export interface ICompValue {
    label?: string;
    value?: string;
}
