import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ExcelService } from '../excel.service';
export declare class ReportTableComponent implements OnInit, OnChanges {
    private excelService;
    rows: any[];
    amount: string;
    owner?: string;
    owner_id?: string;
    owner_img?: string;
    fields?: string;
    topRows?: number;
    color?: string;
    title?: string;
    clicked: EventEmitter<any>;
    close: EventEmitter<string>;
    inputTopRows: any;
    hasTop: boolean;
    divView: boolean;
    closeDiv(): void;
    totalAmount: number;
    designRow: any[];
    progress_color: string;
    constructor(excelService: ExcelService);
    ngOnInit(): void;
    elaborate(): void;
    regroupSingle(arr: any): any;
    filterTop(numTop?: number): void;
    ngOnChanges(changes: SimpleChanges): void;
    clickRow(element: any): void;
    exportExcel(): void;
}
