import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
export declare class ChartComponent implements OnInit, OnChanges {
    rows: any[];
    owner: string;
    owner_id: string;
    topRows?: number;
    period?: string;
    legend?: boolean;
    title?: string;
    amount: string;
    chartType: string;
    minimal?: boolean;
    yAxisLabel: string;
    xAxisLabel: string;
    debug?: boolean;
    onClick: EventEmitter<any>;
    close: EventEmitter<string>;
    lineChart: any;
    designRow: any[];
    showRefLines: boolean;
    showRefLabels: boolean;
    autoScale: boolean;
    timeline: boolean;
    showXAxis: boolean;
    showYAxis: boolean;
    gradient: boolean;
    legendTitle: string;
    legendPosition: string;
    showXAxisLabel: boolean;
    tooltipDisabled: boolean;
    showYAxisLabel: boolean;
    showGridLines: boolean;
    innerPadding: string;
    barPadding: number;
    groupPadding: number;
    roundDomains: boolean;
    maxRadius: number;
    minRadius: number;
    animations: boolean;
    showSeriesOnHover: boolean;
    roundEdges: boolean;
    rangeFillOpacity: number;
    xScaleMin: any;
    xScaleMax: any;
    yScaleMin: number;
    yScaleMax: number;
    showDataLabel: boolean;
    schemeType: string;
    width: number;
    height: number;
    show: boolean;
    fitContainer: boolean;
    view: any;
    hasTop: boolean;
    inputTopRows: any;
    divView: boolean;
    chartOptions: any;
    chartLabel: string[];
    chartData: number[];
    lineChartData: Array<any>;
    lineChartLabels: Array<any>;
    minimalChartType: string;
    ngOnInit(): void;
    constructor();
    elaborate(): void;
    drawChartSeries(arr: any): void;
    drawChart(arr: any): void;
    seriesChart(): any;
    regroupSingle(arr: any): any;
    regroup(arr: any): any;
    singleChart(): any;
    filterTop(numTop?: number): void;
    onLegendLabelClick(entry: any): void;
    select(data: any): void;
    dblclick(event: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    closeDiv(): void;
    chartClicked(e: any): void;
    chartHovered(e: any): void;
}
