import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
export declare class NumberChartComponent implements OnInit, OnChanges {
    rows: any[];
    title?: string;
    onClick: EventEmitter<any>;
    close: EventEmitter<string>;
    divView: boolean;
    closeDiv(): void;
    autoScale: boolean;
    timeline: boolean;
    showXAxis: boolean;
    showYAxis: boolean;
    gradient: boolean;
    legendTitle: string;
    legendPosition: string;
    showXAxisLabel: boolean;
    tooltipDisabled: boolean;
    showYAxisLabel: boolean;
    showGridLines: boolean;
    innerPadding: string;
    barPadding: number;
    groupPadding: number;
    roundDomains: boolean;
    maxRadius: number;
    minRadius: number;
    animations: boolean;
    showSeriesOnHover: boolean;
    roundEdges: boolean;
    rangeFillOpacity: number;
    xScaleMin: any;
    xScaleMax: any;
    yScaleMin: number;
    yScaleMax: number;
    showDataLabel: boolean;
    schemeType: string;
    width: number;
    height: number;
    show: boolean;
    fitContainer: boolean;
    view: any;
    constructor();
    ngOnInit(): void;
    onLegendLabelClick(entry: any): void;
    select(data: any): void;
    dblclick(event: any): void;
    ngOnChanges(changes: SimpleChanges): void;
}
